<?php
	include_once(__DIR__."/../../core.php");
	include_once($docroot."/modules/documenti/modutil.php");
	
	
	$idscheda = $id_record;
	
	switch( $html->form('op', 'post') ){
		
		//Aggiorno informazioni
		case "update":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				if( isset($_POST['idscheda']) ){
					$idscheda = save( $_POST['idscheda'] );
					$idanagrafica = save( $_POST['idanagrafica'] );
					$idtecnico = save( $_POST['idtecnico'] );
					$nome = save( $_POST['nome'] );
					$importo = force_decimal( $_POST['importo'] );
					$data_archiviazione = saveDate( $_POST['data_archiviazione'] );
					$descrizione = save( $_POST['descrizione'] );
					$note = save( $_POST['note'] );
					$idstato = save( $_POST['idstato'] );
					$query = "UPDATE ms_spese SET idanagrafica=\"$idanagrafica\",".
									"nome=\"$nome\",".
									"idtecnico=\"$idtecnico\",".
									"importo=\"$importo\",".
									"data_archiviazione=\"$data_archiviazione\",".
									"descrizione=\"$descrizione\",".
									"note=\"$note\",".
									"idstato=\"$idstato\"".
									" WHERE idscheda=\"".$id_record."\"";
					$dbo->query( $query );
					//Modifico eventuale co_movumento allegato
					$rs1 = $dbo->fetchArray( "SELECT idconti FROM ms_spese WHERE idscheda=\"".$id_record."\"" );
					$idconto=$rs1[0]['idconti'];
					//devo cercare ic mastrino
					$rs1 = $dbo->fetchArray( "SELECT idprimanota FROM ms_spese_gruppo WHERE id=\"".$idstato."\"" );
					$idprimanota=$rs1[0]['idprimanota'];
			
					if ($idprimanota == '') {
						
					} else {
							$query = "UPDATE co_movimenti SET idconto=\"$idprimanota\",".
							"data=\"$data_archiviazione\",".
							"data_documento=\"$data_archiviazione\",".
							"totale=\"$importo\"".
							" WHERE id=\"".$idconto."\"";
							$dbo->query( $query );
					}

					array_push( $_SESSION['infos'], "Nota Spesa aggiornata!"  );
				}
			}
			break;

		//Aggiungo nota
		case "add":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$idmastrino = get_new_idmastrino();
				$idanagrafica = save( $_POST['idanagrafica'] );
				$idtecnico = save( $_POST['idtecnico'] );
				$nome = save( $_POST['nome'] );
				$descrizione = save( $_POST['descrizione'] );
				$idstato = save( $_POST['idstato'] );
				$importo = force_decimal( $_POST['importo'] );
			//devo cercare ic mastrino
				$rs = $dbo->fetchArray( "SELECT idprimanota FROM ms_spese_gruppo WHERE id=\"".$idstato."\"" );
				$idconto=$rs[0]['idprimanota'];
			//inserisco momenti nel piano dei conti se id presente
				if ($nome == '') {
					$id_piano_dei_conti="0";
				} else {
					$query = "INSERT INTO co_movimenti(idmastrino, data, data_documento,  descrizione, idconto, totale, primanota) VALUES( '$idmastrino', NOW(), NOW(), '$nome', '$idconto', '$importo', '1' )";
					$rs = $dbo->query( $query );
					$id_piano_dei_conti = $dbo->last_inserted_id();
				}
			//inserisco movimento in spese
				$query = "INSERT INTO ms_spese( idanagrafica,idtecnico,importo, nome, data_archiviazione, descrizione ,idconti, idstato ) VALUES ( \"".$idanagrafica."\",\"".$idtecnico."\", \"".$importo."\",\"".$nome."\", NOW(), \"".$descrizione."\" , \"".$id_piano_dei_conti."\", \"".$idstato."\")";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Aggiunta nuovo Nota Spesa!" );
				$id_record = $dbo->last_inserted_id();
			}
			break;
			
			
		//Rimuuovo nota
		case "delete":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$rs1 = $dbo->fetchArray( "SELECT idconti FROM ms_spese WHERE idscheda=\"".$idscheda."\"" );
				$idconto=$rs1[0]['idconti'];
				//Elimino anche eventuali file caricati
				$rs = $dbo->fetchArray( "SELECT filename FROM zz_files WHERE module='Nota Spese' AND externalid=\"".$idscheda."\"" );					
				for( $i=0; $i<sizeof($rs); $i++ ){
						@unlink( $docroot."/files/ms_note/".$rs[$i]['filename'] );
				}					
				$dbo->query( "DELETE FROM zz_files WHERE module='Nota Spese' AND externalid=\"".$idscheda."\"" );
				//Elimino anche eventuali co_movimenti inseriti
				$dbo->query("DELETE FROM co_movimenti WHERE id=\"".$idconto."\"");
				//Elimino nota spese
				$dbo->query("DELETE FROM ms_spese WHERE idscheda=\"".$idscheda."\"");
				array_push( $_SESSION['infos'], "Nota Spesa eliminata!" );
			}
			break;
	}
	
?>
